# Interface SceneGraphStateProvider

public interface SceneGraphStateProvider
This interface allows developers to provide their own custom IO control for subclasses of SceneGraphObjects. As the Scene Graph is being saved any SceneGraphObject in the graph that implements this interface must provide it's state class which is responsible for saving the entire state of that object.

## Method Summary

Modifier and Type
Method
Description
`Class<? extends com.sun.j3d.utils.scenegraph.io.state.javax.media.j3d.SceneGraphObjectState>`
`getStateClass()`
Returns the State class

## Method Details

### getStateClass

Class<? extends com.sun.j3d.utils.scenegraph.io.state.javax.media.j3d.SceneGraphObjectState> getStateClass()
Returns the State class

Returns:
  Class that will perform the IO for the SceneGraphObject